Get a Folder
Endpoint used to get a folder from a Toolzz Bots workspace.
Request Example
Section titled “Request Example”curl --request GET \ --url 'https://bots.toolzz.ai/api/v1/folders/{folderId}/{workspaceId}' \ --header 'Authorization: Bearer <token>'Response Example
Section titled “Response Example”{ "folders": [ { "id": "<string>", "name": "<string>", "workspaceId": "<string>", "createdAt": "<string>", "updatedAt": "<string>" } ]}Request description
Section titled “Request description”Access Token
Section titled “Access Token”| Parameter | Type | Description | Required |
|---|---|---|---|
Authorization | String | Access token (must contain “Bearer” before the token) | Yes |
URL Parameters (Path)
Section titled “URL Parameters (Path)”| Parameter | Type | Description | Required |
|---|---|---|---|
folderId | string | The unique identifier of the folder to get. | Yes |
workspaceId | string | The unique identifier of the workspace to get the folder from. | Yes |
Response description
Section titled “Response description”| Key | Type | Description |
|---|---|---|
folders | object[] | The workspace folder information. |
folders[].id | string | The folder unique identifier. |
folders[].name | string | The folder name. |
folders[].workspaceId | string | Unique identifier of the workspace the folder belongs to. |
folders[].createdAt | string | The folder creation date. |
folders[].updatedAt | string | The folder last update date. |
Security
Section titled “Security”To access this endpoint, it is necessary to send a valid access token through the authorization header (Authorization) of the request.